Liblinphone: linphone::ConferenceInfo Class Reference

Liblinphone 5.3.0

Public Types | Public Member Functions | List of all members
linphone::ConferenceInfo Class Reference

Object defining all information related to a conference. More...

`#include <conference_info.hh>`

Inheritance diagram for linphone::ConferenceInfo:

## Public Types
enum class | State { New = 0 , Updated = 1 , Cancelled = 2 }
| State is used to list all states of a conference info object More...

## Public Member Functions
LINPHONECXX_PUBLIC | ConferenceInfo (void *ptr, bool takeRef=true)
LINPHONECXX_PUBLIC _LinphoneConferenceInfo * | cPtr ()
LINPHONECXX_PUBLIC time_t | getDateTime () const
| Retrieve the date and time of the conference.
LINPHONECXX_PUBLIC void | setDateTime (time_t datetime)
| Set the date and time of the conference.
LINPHONECXX_PUBLIC std::string | getDescription () const
| Retrieve the description of the conference.
LINPHONECXX_PUBLIC void | setDescription (const std::string &description)
| Set the description of the conference.
LINPHONECXX_PUBLIC unsigned int | getDuration () const
| Retrieve the duration (in minutes) of the conference.
LINPHONECXX_PUBLIC void | setDuration (unsigned int duration)
| Set the duration (in minutes) of the conference.
LINPHONECXX_PUBLIC std::string | getIcalendarString () const
| Retrieve the conference as an Icalendar string.
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > | getOrganizer () const
| Retrieve the organizer of the conference.
LINPHONECXX_PUBLIC void | setOrganizer (const std::shared_ptr< const linphone::Address > &organizer)
| Set the organizer of the conference.
LINPHONECXX_PUBLIC std::list< std::shared_ptr< linphone::ParticipantInfo > > | getParticipantInfos () const
| Retrieve the list of participants as list of participant infos.
LINPHONECXX_PUBLIC void | setParticipantInfos (const std::list< std::shared_ptr< linphone::ParticipantInfo > > &participantInfos)
| Set the list of participants.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::list< std::shared_ptr< linphone::Address > > | getParticipants () const
| Retrieve the list of participants as list of addresses.
LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void | setParticipants (const std::list< std::shared_ptr< linphone::Address > > &participants)
| Set the list of participants.
LINPHONECXX_PUBLIC linphone::Conference::SecurityLevel | getSecurityLevel () const
| Retrieve the desired security level of the conference.
LINPHONECXX_PUBLIC void | setSecurityLevel (linphone::Conference::SecurityLevel securityLevel)
| Set the desired security level of the conference.
LINPHONECXX_PUBLIC State | getState () const
| Retrieve the state of the conference info.
LINPHONECXX_PUBLIC std::string | getSubject () const
| Retrieve the subject of the conference.
LINPHONECXX_PUBLIC void | setSubject (const std::string &subject)
| Set the subject of the conference.
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > | getUri () const
| Retrieve the URI of the conference.
LINPHONECXX_PUBLIC void | addParticipant (const std::shared_ptr< const linphone::Address > &participant)
| Add a participant to the conference.
LINPHONECXX_PUBLIC void | addParticipant (const std::shared_ptr< const linphone::ParticipantInfo > &participantInfo)
| Add a participant to the conference.
LINPHONECXX_PUBLIC void | addParticipantInfos (const std::list< std::shared_ptr< linphone::ParticipantInfo > > &participantInfos)
| Add a list of participants.
LINPHONECXX_PUBLIC std::shared_ptr< linphone::ConferenceInfo > | clone () const
| Clone an object ConferenceInfo.
LINPHONECXX_PUBLIC std::shared_ptr< const linphone::ParticipantInfo > | findParticipant (const std::shared_ptr< const linphone::Address > &participant)
| Find a participant information in the conference information.
LINPHONECXX_PUBLIC void | removeParticipant (const std::shared_ptr< const linphone::Address > &participant)
| Remove a participant from the conference.
LINPHONECXX_PUBLIC void | updateParticipant (const std::shared_ptr< const linphone::ParticipantInfo > &participantInfo)
| Update the participant information in the conference informations.

## Detailed Description

Object defining all information related to a conference.

## Member Enumeration Documentation

## ◆ State

enum class linphone::ConferenceInfo::State
| strong

State is used to list all states of a conference info object

Enumerator
New | New conference.
Updated | Conference has been updated.
Cancelled | Canceling a conference.

## Member Function Documentation

## ◆ addParticipant() [1/2]

LINPHONECXX_PUBLIC void linphone::ConferenceInfo::addParticipant | ( | const std::shared_ptr< const linphone::Address > & | participant | ) |

Add a participant to the conference.

Parameters

  participant | The participant (Address) to add.

## ◆ addParticipant() [2/2]

LINPHONECXX_PUBLIC void linphone::ConferenceInfo::addParticipant | ( | const std::shared_ptr< const linphone::ParticipantInfo > & | participantInfo | ) |

Add a participant to the conference.

Parameters

  participantInfo | The participant information (ParticipantInfo) to add. This method can be called to set attributes such as the role to the organizer of the conference

## ◆ addParticipantInfos()

LINPHONECXX_PUBLIC void linphone::ConferenceInfo::addParticipantInfos | ( | const std::list< std::shared_ptr< linphone::ParticipantInfo > > & | participantInfos | ) |

Add a list of participants.

Parameters

  participantInfos | The list of participant informations to add.

## ◆ clone()

LINPHONECXX_PUBLIC std::shared_ptr< linphone::ConferenceInfo > linphone::ConferenceInfo::clone | ( |  | ) | const

Clone an object ConferenceInfo.

Returns
  the cloned ConferenceInfo object.

## ◆ findParticipant()

LINPHONECXX_PUBLIC std::shared_ptr< const linphone::ParticipantInfo > linphone::ConferenceInfo::findParticipant | ( | const std::shared_ptr< const linphone::Address > & | participant | ) |

Find a participant information in the conference information.

Parameters

  participant | The participant (Address) to search.

Returns
  The participant information (ParticipantInfo).

## ◆ getDateTime()

LINPHONECXX_PUBLIC time_t linphone::ConferenceInfo::getDateTime | ( |  | ) | const

Retrieve the date and time of the conference.

Returns
  The date and time of the conference.

## ◆ getDescription()

LINPHONECXX_PUBLIC std::string linphone::ConferenceInfo::getDescription | ( |  | ) | const

Retrieve the description of the conference.

Returns
  The description of the conference.

## ◆ getDuration()

LINPHONECXX_PUBLIC unsigned int linphone::ConferenceInfo::getDuration | ( |  | ) | const

Retrieve the duration (in minutes) of the conference.

Returns
  The duration of the conference.

## ◆ getIcalendarString()

LINPHONECXX_PUBLIC std::string linphone::ConferenceInfo::getIcalendarString | ( |  | ) | const

Retrieve the conference as an Icalendar string.

Returns
  The conference as an Icalendar string. The returned char* must be freed by the caller.

## ◆ getOrganizer()

LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > linphone::ConferenceInfo::getOrganizer | ( |  | ) | const

Retrieve the organizer of the conference.

Returns
  The Address of the conference's organizer.

## ◆ getParticipantInfos()

LINPHONECXX_PUBLIC std::list< std::shared_ptr< linphone::ParticipantInfo > > linphone::ConferenceInfo::getParticipantInfos | ( |  | ) | const

Retrieve the list of participants as list of participant infos.

Returns
  The list of participant informations.

## ◆ getParticipants()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED std::list< std::shared_ptr< linphone::Address > > linphone::ConferenceInfo::getParticipants | ( |  | ) | const

Retrieve the list of participants as list of addresses.

Returns
  The list of participants.

Deprecated
  24/08/2023 use linphone_conference_info_get_participant_infos instead

## ◆ getSecurityLevel()

LINPHONECXX_PUBLIC linphone::Conference::SecurityLevel linphone::ConferenceInfo::getSecurityLevel | ( |  | ) | const

Retrieve the desired security level of the conference.

Returns
  The desired security level of the conference.

## ◆ getState()

LINPHONECXX_PUBLIC State linphone::ConferenceInfo::getState | ( |  | ) | const

Retrieve the state of the conference info.

Returns
  State object.

## ◆ getSubject()

LINPHONECXX_PUBLIC std::string linphone::ConferenceInfo::getSubject | ( |  | ) | const

Retrieve the subject of the conference.

Returns
  The subject of the conference.

## ◆ getUri()

LINPHONECXX_PUBLIC std::shared_ptr< const linphone::Address > linphone::ConferenceInfo::getUri | ( |  | ) | const

Retrieve the URI of the conference.

Returns
  The URI of the conference (Address).

## ◆ removeParticipant()

LINPHONECXX_PUBLIC void linphone::ConferenceInfo::removeParticipant | ( | const std::shared_ptr< const linphone::Address > & | participant | ) |

Remove a participant from the conference.

Parameters

  participant | The participant (Address) to remove.

## ◆ setDateTime()

LINPHONECXX_PUBLIC void linphone::ConferenceInfo::setDateTime | ( | time_t | datetime | ) |

Set the date and time of the conference.

Parameters

  datetime | The date and time of the conference.

## ◆ setDescription()

LINPHONECXX_PUBLIC void linphone::ConferenceInfo::setDescription | ( | const std::string & | description | ) |

Set the description of the conference.

Parameters

  description | The description of the conference.

## ◆ setDuration()

LINPHONECXX_PUBLIC void linphone::ConferenceInfo::setDuration | ( | unsigned int | duration | ) |

Set the duration (in minutes) of the conference.

Parameters

  duration | The duration of the conference.

## ◆ setOrganizer()

LINPHONECXX_PUBLIC void linphone::ConferenceInfo::setOrganizer | ( | const std::shared_ptr< const linphone::Address > & | organizer | ) |

Set the organizer of the conference.

Parameters

  organizer | The Address of the conference's organizer.

## ◆ setParticipantInfos()

LINPHONECXX_PUBLIC void linphone::ConferenceInfo::setParticipantInfos | ( | const std::list< std::shared_ptr< linphone::ParticipantInfo > > & | participantInfos | ) |

Set the list of participants.

Parameters

  participantInfos | The list of participant informations to set.

## ◆ setParticipants()

LINPHONECXX_PUBLIC LINPHONECXX_DEPRECATED void linphone::ConferenceInfo::setParticipants | ( | const std::list< std::shared_ptr< linphone::Address > > & | participants | ) |

Set the list of participants.

Parameters

  participants | The list of participants to set.

Deprecated
  24/08/2023 use linphone_conference_info_set_participant_infos instead

## ◆ setSecurityLevel()

LINPHONECXX_PUBLIC void linphone::ConferenceInfo::setSecurityLevel | ( | linphone::Conference::SecurityLevel | securityLevel | ) |

Set the desired security level of the conference.

Parameters

  securityLevel | The desired security level of the conference.

## ◆ setSubject()

LINPHONECXX_PUBLIC void linphone::ConferenceInfo::setSubject | ( | const std::string & | subject | ) |

Set the subject of the conference.

Parameters

  subject | The subject of the conference.

## ◆ updateParticipant()

LINPHONECXX_PUBLIC void linphone::ConferenceInfo::updateParticipant | ( | const std::shared_ptr< const linphone::ParticipantInfo > & | participantInfo | ) |

Update the participant information in the conference informations.

Parameters

  participantInfo | The participant information (ParticipantInfo) to update. This method can be called to change attributes such as the role to the organizer of the conference

The documentation for this class was generated from the following file:

- conference_info.hh